## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# csgeom/bsptree.h File Reference

BSP tree implementation. More...

`#include "csextern.h"`
`#include "csgeom/plane3.h"`
`#include "csutil/array.h"`
`#include "csutil/blockallocator.h"`
`#include "csutil/dirtyaccessarray.h"`

Go to the source code of this file.

## Classes

class | csBSPTree
| This BSP-tree is a binary tree that organizes a triangle mesh. More...

## Detailed Description

BSP tree implementation.

Definition in file bsptree.h.